Bug 788554 - [eap6] NPE when deploying to server group
[eap6] NPE when deploying to server group
Product: RHQ Project
Classification: Other
Component: Agent, Plugins (Show other bugs)
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
Reported: 2012-02-08 08:02 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-14 10:25:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-02-08 08:02:48 EST
Description of problem: I got NPE when I try to deploy war having on HC to server group

Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: b4761de

How reproducible:always

Steps to Reproduce:
1. inventory eap6 DomainController
2. deploy war to DomainController using JON
3. wait 'till war is discovered, deploy it to server group (using Operations tab on that war)
Actual results: operation fails

2012-02-08 13:50:06,128 DEBUG [OperationManager.invoker-1] (rhq.core.pc.inventory.ResourceContainer$ResourceComponentInvocationHandler)- Call 
to [org.rhq.modules.plugins.jbossas7.DomainDeploymentComponent.invokeOperation()] with args [[domain-deployment:promote, Configuration[id=1336
6]]] failed.
java.util.concurrent.ExecutionException: java.lang.NullPointerException
        at java.util.concurrent.FutureTask$Sync.innerGet(FutureTask.java:262)
        at java.util.concurrent.FutureTask.get(FutureTask.java:119)
        at org.rhq.core.pc.inventory.ResourceContainer$ResourceComponentInvocationHandler.invokeInNewThreadWithLock(ResourceContainer.java:473)
        at org.rhq.core.pc.inventory.ResourceContainer$ResourceComponentInvocationHandler.invoke(ResourceContainer.java:461)
        at $Proxy96.invokeOperation(Unknown Source)
        at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:217)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
        at java.lang.Thread.run(Thread.java:636)
Caused by: java.lang.NullPointerException
        at org.rhq.modules.plugins.jbossas7.BaseComponent.invokeOperation(BaseComponent.java:594)
        at org.rhq.modules.plugins.jbossas7.DeploymentComponent.invokeOperation(DeploymentComponent.java:69)
        at sun.reflect.GeneratedMethodAccessor165.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:552)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
        at java.util.concurrent.FutureTask.run(FutureTask.java:166)
        ... 3 more

Expected results:

Additional info: This must have been introduced by some recent commit, it did not happen, on yesterday's build
Comment 1 Heiko W. Rupp 2012-02-08 08:26:21 EST
Not sure from when your build is 

Interesting as no activity in git has happened since last week until hudson build 963, which is one version after the one you have.

I'll look into it.
Comment 2 Heiko W. Rupp 2012-02-08 09:02:53 EST
Could it be that the server was not reachable?
Can you still reproduce the agent.log for said time?
Comment 3 Libor Zoubek 2012-02-08 10:16:56 EST
I'll try to repro again, tests are running, I'll wait for results and check again
Comment 5 Libor Zoubek 2012-02-08 13:15:10 EST
Yes, it was because of server was not reachable. In fact, I had a bug in script setting cleaning EAP instances, and there were 4 domain controllers running trying to listen on same ports. So unless we want as7 plugin to be more robust, I'd propose this as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.